Skip to main content
PUT
Error

Headers

x-frate-api-token
string | null

Path Parameters

shipment_id
integer
required

Body

application/json

Shipment Update Input

status
enum<string>
required

The status to update the shipment to

Available options:
DRAFT,
CREATED,
IN_TRANSIT,
DELIVERED,
FAILED,
CANCELED,
UNKNOWN

Response

Successful Response

Shipment

id
integer
required

Unique identifier for the shipment

status
enum<string>
required

Current status of the shipment

Available options:
DRAFT,
CREATED,
IN_TRANSIT,
DELIVERED,
FAILED,
CANCELED,
UNKNOWN
created_at
string
required

ISO 8601 timestamp when the shipment was created

type
string
default:shipment

The type identifier for this resource

Allowed value: "shipment"
carrier
string | null

The shipping carrier (e.g., 'USPS', 'FedEx', 'UPS')

tracking_number
string | null

The tracking number for the shipment

origin_address
Address · object | null

The origin address for the shipment

destination_address
Address · object | null

The destination address for the shipment

shipped_at
string | null

ISO 8601 timestamp when the shipment was shipped

delivered_at
string | null

ISO 8601 timestamp when the shipment was delivered

return_group_id
integer | null

The ID of the return group for the shipment

return_ids
integer[]

The IDs of the returns for the shipment